import 'dart:async';

import 'package:equatable/equatable.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

part 'feature_name_state.dart';

/// {@template feature_name_cubit}
/// FeatureNameCubit description
/// {@endtemplate}
class FeatureNameCubit extends Cubit<FeatureNameState> {
  /// {@macro feature_name_cubit}
  FeatureNameCubit() : super(const FeatureNameInitial());

  /// A description for yourCustomFunction
  FutureOr<void> yourCustomFunction() async {
    // TODO(wyatt): Add custom UI logic
    const _ = 1 + 1;
    return;
  }
}
